@import "../../scss/_variables.scss";

.blog-section__container {
    width: 100%;
}

.carousel-indicators-blog {
  position: absolute;
  top: -30px;
  right: 0;
  bottom: unset;
  left: unset;
  margin-right: 0;
  margin-left: 0;
  li {
    background-color: grey;
    width: 13px;
    height: 13px;
    border-radius: 50%;
  }
  .active {
    background-color: $primary-color;
  }
}

.card-blog {
  width: 360px;
  border: none;
  .card-body {
    position: relative;
  }
  &-btn-container {
    text-align: center;
  }
  &__info-block-elements {
    background-color: white;
    position: absolute;
    bottom: 0;
    width: 80%;
  }
  &__img-container {
    position: relative;
    height: 290px;
    overflow: hidden;
  }
}

.card-img-top--blog {
  height: 100%;
  width: auto;
}

.section-title-container--blog {
  position: relative;
}

// 
///Styles for slick and slider
// 

.slider-controls-blog {
  display: flex;
  padding-left: 10px;
  position: absolute;
  right: 0;
  top: 13px;
  background-color: white;
}

.slick-arrow-blog {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
  border: 1px solid black;
  &:hover {
    background-color: $primary-color;
    color: white;
    cursor: pointer;
    border-color: $primary-color;
  }
  &--left {
    margin-right: 5px;
  }
}

.slick-dots-custom-container {
  display: flex;
  li button {
    font-size: 0;
    background-color: #e2e2e2;
    width: 13px;
    height: 13px;
    position: relative;
    border: none;
    border-radius: 50%;
    &:focus {
      outline: none;
    }
  }
  li:not(:last-child) button {
      margin-right: 5px;
  }
  li.slick-active button {
    background-color: $primary-color;
  }
}

.slick-slide > div > div {
  display: flex  !important;
  justify-content: center;
}

@media screen and (min-width: 480px) {
  .blog-section__container {
    width: 450px;
  }
}


@media screen and (min-width: 768px) {
  .blog-section__container {
    width: 750px;
  }
}
@media screen and (min-width: 1200px) {
  .blog-section__container {
    width: 1140px;
  }
}
